<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_book_manager_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BookManagerDialog Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_book_manager_dialog.html#af004bfc3364e9178a2a50b1089046dd3">addToOrRemoveFromWishListBook</a>()</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_details_dialog.html#a97b435e949ba67130e831d5e114feb0f">BookDetailsDialog</a>(bool isReadOnly=true, QWidget *parent=0)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bookIsbn</b> (defined in <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a>)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_manager_dialog.html#a1d43f0bc8e592985b76ca3a4705c674e">BookManagerDialog</a>(QWidget *parent=0)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>descriptionLabel</b> (defined in <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a>)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_manager_dialog.html#a0ffc7b999e1adac330a2e5ed08cc16c7">getAddBookToWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_details_dialog.html#a1709550d11aeb5194c5448221a9acc72">getBook</a>()</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_manager_dialog.html#a5d4421c3218b0a2ee0a63e64fd60ff32">getDetailsAboutBookRequest</a>(Book book, bool isReservedByUser, bool isInUserWishlist)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_manager_dialog.html#ae64cd9a8fc873e0f929ca812d15fa71d">getRemoveBookFromWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_manager_dialog.html#aa07dfecbda63174fae341d299cceb05e">getReserveBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_manager_dialog.html#ab3e2db384f11595a333f191d7acca2bf">getReturnBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>isbnLabel</b> (defined in <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a>)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_details_dialog.html#a316d30d906e4b5706309ac7d777e68b1">populate</a>(Book book)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_manager_dialog.html#ade82c98835a5881475afc0eb14e5014a">reserveOrReturnBook</a>()</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_manager_dialog.html#a6d054a819bea81819023b1e7e27303d0">sendAddBookToWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_details_dialog.html#ad349bcf5e6d958d07e29b355546b00db">sendDetailsAboutBookRequest</a>(QString isbn)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_manager_dialog.html#ad23290f75f7bf7de95439aad65987921">sendRemoveBookFromWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_manager_dialog.html#a02d1645a9f2b130f0dff9983456bda97">sendReserveBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book_manager_dialog.html#a88a2dead446e650424c62caac67a2360">sendReturnBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_book_manager_dialog.html">BookManagerDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_book_details_dialog.html#a583234f5606f7be26ec2dbde8767ba75">setBookId</a>(QString isbn)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>titleLabel</b> (defined in <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a>)</td><td class="entry"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
